Subject: Re: bug#10688: The default mode for Perl should be cperl-mode instead of perl-mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 29 Oct 2012 08:58:22 -0400

> (I'm somewhat surprised that anyone uses perl-mode; cperl-mode is ...
> interesting code-wise, but it does work really, really well.)

perl-mode is the default, so you can expect many people to use it.
Also, I stick to perl-mode (for the few times I use Perl) because it is
the default (dog-fooding and things like that).

Also the perl-mode was more amenable to experimentation (I used it as
a play ground for the fancier syntactic fontification, e.g. it was
a large part of the motivation for font-lock-syntactic-face-function).

        Stefan